Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229257 - Review Request: perl-Math-Random-MT-Auto - Auto-seeded Mersenne Twister PRNGs
Summary: Review Request: perl-Math-Random-MT-Auto - Auto-seeded Mersenne Twister PRNGs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Math-Rand...
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-19 19:43 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 22:46:58 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-02-19 19:43:20 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Math-Random-MT-Auto-5.04-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Math-Random-MT-Auto.spec

Description:
The Mersenne Twister is a fast pseudorandom number generator (PRNG) that is
capable of providing large volumes (> 10^6004) of "high quality"
pseudorandom data to applications that may exhaust available "truly" random
data sources or system-provided PRNGs such as rand.

Comment 1 Chris Weyl 2007-02-19 19:45:17 UTC
Note: this is a new "soft" requirement of perl-Object-InsideOut when updated to
latest levels.

Comment 2 Parag AN(पराग) 2007-02-22 10:24:33 UTC
Got rpmlint on SRPM as
W: perl-Math-Random-MT-Auto strange-permission filter-requires.sh 0775
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

As you have already done
chmod +x %{SOURCE99}
in %prep section, you can change rights on file filter-requires.sh to 0644.

Comment 3 Chris Weyl 2007-02-22 16:34:49 UTC
It's a superfluous warning; but rebuilt the srpm anyways.

SRPM URL: 
http://home.comcast.net/~ckweyl/perl-Math-Random-MT-Auto-5.04-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Math-Random-MT-Auto.spec

Comment 4 Parag AN(पराग) 2007-02-23 04:46:06 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ef0af016a7f23a1bea54fe90aa45b444  Math-Random-MT-Auto-5.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00-load...........# Testing Math::Random::MT::Auto 5.04
ok
t/01-mersenne.......ok
t/02-gaussian.......ok
t/03-threads........ok
t/04-win32..........skipped
        all skipped: Not Win32
t/05-dev_urandom....ok
t/06-dev_random.....ok
t/07-random_org.....skipped
        all skipped: LWP::UserAgent not available
t/08-hotbits........skipped
        all skipped: LWP::UserAgent not available
t/09-state..........ok
t/10-deviates.......ok
t/11-range..........ok
t/12-rn_info........skipped
        all skipped: LWP::UserAgent not available
t/13-overload.......ok
t/14-serialize......ok
t/15-shared.........ok
t/99-pod............ok
All tests successful, 4 tests skipped.
Files=17, Tests=5598,  6 wallclock secs ( 4.91 cusr +  0.25 csys =  5.16 CPU)

+Provides: Auto.so perl(Math::Random::MT::Auto) = 5.04
perl(Math::Random::MT::Auto::Range) = 5.04

APPROVED.

Comment 5 Chris Weyl 2007-02-23 16:46:00 UTC
New Package CVS Request
=======================
Package Name: perl-Math-Random-MT-Auto
Short Description: Auto-seeded Mersenne Twister PRNGs
Owners: cweyl@alumni.drew.edu
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 6 Chris Weyl 2007-02-23 20:53:12 UTC
Please branch for FC-5, FC-6.

Comment 7 Chris Weyl 2007-02-24 22:46:58 UTC
Branched & built successfully.  Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.